;---- KWP / TP - Simulator (Anweisungsdatei fr CAN-Tester) : MKT-View ------
;   (Ersatz fr die Ansteuerung durch das MKT-View, basiert auf "20060327_Beispiel_KWP.asc")
;
; Programm starten mit F9 bzw. "Run"..."Start"  !
;
; Autor: Tobias Wildberg     Stand: 2006-04-06
;   Ablage des Originals: //WoBu3/c/CBproj/CanTest/Programs/KWP_TP_Sim_MKT-View.TXT .
;
; Wegen diverser Sonderfunktionen NUR MIT CAN-TESTER FUR WINDOWS lauffhig !
; Zum Testen erst auf einem PC den "Server" starten, danach das MKT-View-
; Echtzeit-Erweiterungsmodul mit seiner Firmware und zuletzt diesen MKT-View-Simulator.
; Infomationen zum 'wcan'-Befehl in der Online-Hilfe !
;  (Cursor auf den Befehl setzen, dann CTRL-F1 drcken)
;
@tx_interval = 0.01   ;  Ablaufgeschwindigkeit einstellen (CAN-Sende-/ und Zeilen-Abarbeitungs-Intervall)
ClearScreen(1)        ;  CAN-RX-Fenster lschen

@delay(1)

; -------------------------------------------------------------------------------------
; Initialisierung des Echtzeit-Erweiterungsmoduls
020         F4 01 00 00 01 00         ; Einstellen von Baudrate (500kBit/s), TP (ISO-TP) und Protokoll (keins)
;020        F4 01 00 00 01 01         ; Einstellen von Baudrate (500kBit/s), TP (ISO-TP) und Protokoll (KWP2000)
wcan 040  4 01 01 xx xx xx xx xx xx   ; Statusquittung warten


ClientCycle:

; -------------------------------------------------------------------------------------
; Ablauf strikt nach 20060327_Beispiel_KWP.asc !
; -------------------------------------------------------------------------------------
; ECU mit der Empfangs-ID 0x5FF und der Sende-ID 0x4E0
ECUmit5FFund4E0:
028         FF 05 00 00 E0 04 00 00   ; Einstellen der Empfangs- und Sende-Identifier
030         02 21 05                  ; 1. Anforderungsbefehl versenden
wcan 200  8 61 05 57 44 42 39 30 36   ;    auf den Eingang der Datenbytes warten ...
wcan 201  8 36 33 31 31 53 31 30 30
wcan 202  8 33 35 38 xx xx xx xx xx
wcan 040  6 02 01 13 00 xx xx xx xx   ;    Statusmeldung Dateneingang abwarten
030         20                        ; 1. Datenabholung quittieren
wcan 040  6 02 00 00 00 xx xx xx xx   ;    Statusmeldung Dateneingang wieder leer
; -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
030         02 1A 87                  ; 2. Anforderungsbefehl versenden
wcan 200  8 5A 87 01 43 03 00 00 04   ;    auf den Eingang der Datenbytes warten ...
wcan 201  8 45 05 32 00 39 30 36 35
wcan 202  8 34 35 30 31 30 38 xx xx
wcan 040  6 02 01 16 00 xx xx xx xx   ;    Statusmeldung Dateneingang abwarten
030         20                        ; 2. Datenabholung quittieren
wcan 040  6 02 00 00 00 xx xx xx xx   ;    Statusmeldung Dateneingang wieder leer
; -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
030         04 18 02 FF 00            ; 3. Anforderungsbefehl versenden
wcan 200  8 58 00 xx xx xx xx xx xx   ;    auf den Eingang der Datenbytes warten ...
wcan 040  6 02 01 02 00 xx xx xx xx   ;    Statusmeldung Dateneingang abwarten
030         20                        ; 3. Datenabholung quittieren
wcan 040  6 02 00 00 00 xx xx xx xx   ;    Statusmeldung Dateneingang wieder leer
; -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
030         02 21 70                  ; 4. Anforderungsbefehl versenden
wcan 200  8 61 70 09 00 E0 5C 28 73   ;    auf den Eingang der Datenbytes warten ...
wcan 201  8 14 4B 10 3C 98 01 27 11
wcan 202  8 88 00 2F 4E 4E 00 00 00
wcan 203  8 05 8F 00 00 00 00 00 12
wcan 204  8 51 01 A4 xx xx xx xx xx
wcan 040  6 02 01 27 00 xx xx xx xx   ;    Statusmeldung Dateneingang abwarten
030         20                        ; 4. Datenabholung quittieren
wcan 040  6 02 00 00 00 xx xx xx xx   ;    Statusmeldung Dateneingang wieder leer


;@sound( 10, 200, 50 )
@delay(0.5)   ; kurz warten, und das Ganze wiederholen
@goto ClientCycle




; -------------------------------------------------------------------------------------
ECUmit7E8und7E0:

Read7E1:

Read784:

Read788:

Read792:

;@sound( 10, 200, 50 )
@delay(0.5)   ; kurz warten, und das Ganze wiederholen
@goto ClientCycle


; <EOF>
