;-- VwProtTest (Tests fuer spezielles "VW-CAN-Protokoll") ------------------
;        Protokoll ~ KWP2000  (Keyword Protocol 2000, fuer Diagnosegeraete)
;        Anweisungsdatei fuer "CAN-Tester for Windows", V1.12 oder hoeher .
; Autor: Wolfgang Buescher     Stand: 2004-10-01
;   Ablage des Originals: <WoBu2>C:\Programme\CanTestW\Programs\VwProtTest.txt
;   Kopien: <WoBu3>C:\cproj\xc161mini\VW_v01\CAN_Tester_Kommandodateien\*.*
; 


;--------- INTERNE Kanaele zwischen C167(Terminal) und  XC161(Erweiterung) 
0x168 00 00 00 00 00 00 00 00    ; Status von Erweiterungsplatine anfordern -> 0x162

; Testprogramm in der folgenden Zeile starten !
0x167 01 01 03 04 05 06 07 08    ; Byte0=1: START fuer "KWP-2000"



;--------- EXTERNER Kanal zwischen XC161(Erweiterung) und der Aussenwelt (CAN1)
0x209 00 D0 00 03 A8 07 01       ; Start-Antwort von "mTP_Er_Lenkh" -> XC161 sendet 0x7A8 A0 0f 8A ff 32 ff
0x300 A1 0F CA FF 4A FF          ; muss beantwortet werden mit 0x7A8 10 00 02 1A 9B
0x300 B1
0x300 20 00 30 5A 9B 31 4B 31    ; muss ignoriert werden (keine Antwort) (??) ...
0x300 26 30 20 20 20 20 20 20    ; muss ignoriert werden (keine Antwort) (??)
0x300 17 20                      ; muss beantwortet werden mit 0x7A8 B8 + 0x7A8 11 00 02 1a 9c
0x300 B2
0x300 28 00 0c 5a 9c 00 0d 0d
0x300 19 00 03 bc dd 35 81 cd    ; muss mit 0x7a8 BA + 0x7a8 12 00 02 1a 91 beantwortet werden
0x300 b3
0x300 1a 00 03 7f 1a 12          ; muss mit 0x7a8 Bb + 0x7a8 13 00 04 31 b8 00 00 beantwortet werden
0x300 b4
0x300 2b 00 0c 71 b8 01 03 01
0x300 1c 05 01 08 01 06 01 01    ; muss mit 0x7a8 Bd + 0x7a8 14 00 02 27 03  beantwortet werden
0x300 b5
0x300 2d 00 06 67 03 34 92 AA    ; 
0x300 1e 7C                      ; zu Z1 Z2 Z3 Z4 +5526 dez addieren und 0x7a8 BF
                                 ; 0x7a8 25 00 06 27 04 S1 S2 S3 + 0x7a8 16 S4 zurckschicken
0x300 b7
0x300 1f 00 03 67 04 34          ; muss mit 0x7a8 B0 + 0x7a8 17 00 04 31 b8 00 00 beantwortet werden
0x300 b8
0x300 20 00 0c 71 b8 01 03 01
0x300 11 05 01 08 01 06 01 01    ; muss mit 0x7a8 B2 + 0x7a8 18 00 02 1a 9d beantwortet werden
0x300 b9
0x300 12 00 03 7f 1a 91          ; muss mit 0x7a8 B3 + 0x7a8 19 00 02 21 1a beantwortet werden
0x300 ba
0x300 23 00 0e 61 1a 4b 12 34

@stop   





;--------- INTERNER Kanal zwischen C167(Terminal) und XC161(Erweiterung)-------

; 0x167 +  0x168 = "interner Parameterkanal" vom C167 zum XC161CJ,  
;                   auf CAN2 bzw "Node B" (anzapfen!)
0x167 01 01 03 04 05 06 07 08    ; Byte0=1: START +  Byte1, bit0 : DEBUG LED AN
0x167 00 02 03 04 05 06 07 08    ; Byte1, bit0 : DEBUG LED AUS
0x168 01 02 03 04 05 06 07 08



; 0x161 +  0x162 = "interner Parameterkanal" vom XC161CJ zum C167,
;                   auf CAN2 bzw "Node B" (anzapfen!)
0x161 01 02 03 04 05 06 07 08
0x162 01 02 03 04 05 06 07 08




; <EOF>
