;---- Testprogramm fuer den CAN-Tester: "Warten auf CAN-Empfang" / SERVER ------
;
; Programm starten mit F9 bzw. "Run"..."Start"  !
;
; Autor: Wolfgang Buescher     Stand: 2006-03-31
;   Ablage des Originals: //WoBu3/c/CBproj/CanTest/Programs/Wait_Test_Server.txt .
;
; Wegen diverser Sonderfunktionen NUR MIT CAN-TESTER FUR WINDOWS lauffhig !
; Zum Testen erst auf einem PC den "Server" starten, danach auf dem anderen PC
; den "Client".
; Dann muss das Testprogramm mit maximaler Geschwindigkeit "durchrauschen" 
; wenn beide Seiten korrekt funktionieren .
; Achtung: im Gegensatz zum CAN-Senden muss beim "Warten auf Empfang" 
;          auch die Lnge des erwarteten Telegramms angegeben werden .
;  Zur besseren Lesbarkeit wird die Lnge immer einziffrig angegeben,
;  der CAN-Identifier (meistens) dreiziffrig, die Datenbytes zweiziffrig.
; Beim SENDEN wird die Lnge weggelassen, denn Bytes zhlt der Tester selbst ;-)
; Weitere Infomationen zum 'wcan'-Befehl in der Online-Hilfe !
;  (Cursor auf den Befehl setzen, dann CTRL-F1 drcken)
;
@tx_interval = 0.001   ; Sende-Intervall und Zeilen-Abarbeitungs-Intervall in SEKUNDEN
ClearScreen(1)         ; CAN-RX-Fenster lschen

Server:  ; Der SERVER beginnt mit "Warten auf Empfang"

wcan 001 8 11 22 33 44 55 66 77 88 ; Warten auf CAN, bestimmte ID+DATEN
001        01 02 03 04 05 06 07 08 ; Sende erste Antwort
wcan XXX 8 01 02 03 04 05 06 07 08 ; Warten auf CAN, ID egal
002        01 02 03 04 05 06 07 08 ; Sende nchste Antwort
wcan 003 8 xx xx xx xx xx xx xx xx ; Warten auf CAN, Daten total egal
003        AA AA AA AA AA AA AA AA ; Sende nchste Antwort
wcan 004 8 11 xx 33 xx 55 xx 77 xx ; Warten auf CAN, Daten TEILWEISE egal
004        AA AA AA AA AA AA AA AA ; Sende nchste Antwort

@goto Server  ; warte auf nchsten "Auftrag" (Testlauf)


; <EOF>
