; mux_test_cmds.txt = Testprogramm fuer "UPT"-Entwicklung  mit   "CANdb-Signalen" .
;  Ablage: <WoBu3> C:\CBproj\CanTest\Programs\mux_test_cmds.txt .
;  Stand:  2003-12-01 (YYYY-MM-DD)
;    Sendet verschiedene, bis aufs BIT MUEHSAM SELBST ERSTELLTE Telegramme
;    nach "CAN-DB-Format" ans MKT-View-Terminal.
;    Lauffaehig nur mit WoBu's experimentellem CAN-Tester fuer WINDOZE ab Januar 2002 !!
;  Fuer MKT-View und verschiedene *.cvt - Testdateien (siehe Unten !)... u.A.
;   -  "C:\CBproj\UptWin1\Programs\mux_test.CVT" 
;  Weitere Infos und Links:
;   -  "C:\cbproj\UptWin1\testfiles\readme_candb_terminal_tests.txt  ,
;   -  "C:\cbproj\UptWin1\testfiles\readme_canlogger_tests.txt       .


@gosub SetWatches


; Some "CANdb test signals" .. 


; MULTIPEXED SIGNAL TEST #1  (<- title in terminal TEST application)
; CAN-Bus #1 (NUMERO UNO !!),  11-BIT-ID 0x007B (erstes Message-Objekt)
Loop1:
$007B.s 00 41 00 00 00 00 00 00  ; Bus1, "Terminal.MuxedMsg.PrintedChars"  = 'A' (2003-03-10)
$007B.s 00 42 00 00 00 00 00 00  ; Bus1, "Terminal.MuxedMsg.PrintedChars"  = 'B' (2003-03-10)
$007B.s 00 43 00 00 00 00 00 00  ; Bus1, "Terminal.MuxedMsg.PrintedChars"  = 'C' (2003-03-10)
$007B.s 01 1B 00 00 00 00 00 00  ; Bus1, "Terminal.MuxedMsg.TerminalCommand"=#27 (2003-03-10)
@goto Loop1

; MULTIPEXED SIGNAL TEST #2  (Test this WITH and WITHOUT the "timeout" monitor)
; CAN-Bus #1 (NUMERO UNO !!),  11-BIT-ID 0x0101 (zweites Message-Objekt)
;   Signale: 
;     M101_Muxer:  3(!) Bits ab Bit 0, dient als MULTIPLEXOR (alias "Mode-Signal"-igittigitt)
;     M101_I8_48:  8 Bits ab Bit 48, nicht gemultiplext, wunderschoen auf Byte-Grenze
;     M101_I8_56:  8 Bits ab Bit 56, nicht gemultiplext, ebenfalls auf Byte-Grenze
;     M101_I32_m0: 32 Bit, LSBit an Bit 4, gemultiplext mit M101_Muxer=0
;     M101_I32_m1: 32 Bit, LSBit an Bit 4, gemultiplext mit M101_Muxer=1
;     M101_I32_m2: 32 Bit, LSBit an Bit 4, gemultiplext mit M101_Muxer=2
;     M101_I32_m3: 32 Bit, LSBit an Bit 4, gemultiplext mit M101_Muxer=3
Loop2:
$0101 C0 F9 FF FF  0F 00 00 00    ; -> M101_Muxer=0, M101_I32_m0 = -100 ; S/UNS.
$0101 81 F3 FF FF  0F 00 00 00    ; -> M101_Muxer=1, M101_I32_m1 = -200
$0101 42 ED FF FF  0F 00 00 00    ; -> M101_Muxer=2, M101_I32_m2 = -300
$0101 03 E7 FF FF  0F 00 00 00    ; -> M101_Muxer=3, M101_I32_m2 = -400
@goto Loop2

; MULTIPEXED SIGNAL TEST #3
; CAN-BUS #2 ( NUMERO DUE !! ),  CAN-ID #513 = 0x0201 .....
;       enthaelt diverse(!) gemultiplexte(!!) Signale im INTEL-FORMAT (LSB first) .
;       Siehe ??\cbproj\UptWin1\programs\muxtest_bus1.dbc, Message "Msg201" .
;       Das absichtlich grausame Kuddelmuddel dieser auf FUENF BYTES(!)
;       verteilten GEMULTIPLEXTEN 32-bit(!)-Signale kann mit dem schrottigen "CANdb++"-
;       Editor nicht angezeigt werden (die gemultiplexten 32-Bit-Signale sind nur mit
;       dem alten "CANdb"-Editor und mit Kvaser's elendem "Database Editor" sichtbar,
;       letzterer enthaelt allerdings zu viele Bugs, vernuenftiges Arbeiten war damit
;       in der hier vorliegenden Version nicht moeglich ! .... anno 2004)
;   Signale: 
;     M201_Muxer:  3(!) Bits ab Bit 0, dient als MULTIPLEXOR (alias "Mode-Signal"-igittigitt)
;     M201_I8_48:  8 Bits ab Bit 48, nicht gemultiplext, wunderschoen auf Byte-Grenze
;     M201_I8_56:  8 Bits ab Bit 56, nicht gemultiplext, ebenfalls auf Byte-Grenze
;     M201_I32_m0: 32 Bit, LSBit an Bit 4, gemultiplext mit M201_Muxer=0
;     M201_I32_m1: 32 Bit, LSBit an Bit 4, gemultiplext mit M201_Muxer=1
;     M201_I32_m2: 32 Bit, LSBit an Bit 4, gemultiplext mit M201_Muxer=2
;     M201_I32_m3: 32 Bit, LSBit an Bit 4, gemultiplext mit M201_Muxer=3
Loop3:
$00201 08 00 00 00  F0 FF FF FF    ; -> Muxer=0, M201_I32_m0 = 0
$00201 01 00 00 00  00 00 00 00    ; -> Muxer=1, M201_I32_m1 = 0
$00201 02 00 00 00  00 00 00 00    ; -> Muxer=2, M201_I32_m2 = 0
$00201 03 00 00 00  00 00 00 00    ; -> Muxer=3, M201_I32_m3 = 0
$00201 10 00 00 00  00 00 00 00    ; -> Muxer=0, M201_I32_m0 = 1
$00201 21 00 00 00  00 00 00 00    ; -> Muxer=1, M201_I32_m1 = 2
$00201 42 00 00 00  00 00 00 00    ; -> Muxer=2, M201_I32_m2 = 4
$00201 83 00 00 00  00 00 00 00    ; -> Muxer=3, M201_I32_m2 = 8
$00201 C0 F9 FF FF  0F 00 00 00    ; -> Muxer=0, M201_I32_m0 = -100 ; S/UNS.
$00201 81 F3 FF FF  0F 00 00 00    ; -> Muxer=1, M201_I32_m1 = -200
$00201 42 ED FF FF  0F 00 00 00    ; -> Muxer=2, M201_I32_m2 = -300
$00201 03 E7 FF FF  0F 00 00 00    ; -> Muxer=3, M201_I32_m2 = -400
$00201 F0 FF FF FF  07 00 00 00    ; -> Muxer=0, M201_I32_m0 =+2147483648 ; CRASH !
$00201 F1 FF FF FF  03 00 00 00    ; -> Muxer=1, M201_I32_m1 =+1073741824
$00201 F2 FF FF FF  01 00 00 00    ; -> Muxer=2, M201_I32_m2 =+ 536870912
$00201 F3 FF FF FF  00 00 00 00    ; -> Muxer=3, M201_I32_m2 =+ 268435456
@goto Loop3



; MULTIPEXED SIGNAL TEST #4
; CAN-BUS #1 + #2 ( BEIDE !! ),  CAN-ID 0x12345678 auf Bus1, 0x12345679 auf Bus2
;   Signale: 
;     M1x8_Muxer:  3(!) Bits ab Bit 4, dient als MULTIPLEXOR in Msg 0x12345678 (Bus 1)
;     M1x9_Muxer:  3(!) Bits ab Bit 4, dient als MULTIPLEXOR in Msg 0x12345679 (Bus 2)
;     M1x8_M32_m0: 32 Bit Motorola, LSBit an Bit 36, gemultiplext mit M1x8_Muxer=0
;     M1x9_M32_m1: 32 Bit Motorola, LSBit an Bit 36, gemultiplext mit M1x9_Muxer=0
Loop4:
$12345678.x 80 00 00 00  0F FF FF FF    ; -> Muxer=0, M1x8_M32_m0 =      0.0
$12345679.x 80 00 00 00  0F FF FF FF    ; -> Muxer=0, M1x8_M32_m0 =      0.0
$12345678.x 80 00 00 00  1F FF FF FF    ; -> Muxer=0, M1x8_M32_m0 =      1.0
$12345679.x 80 00 00 00  1F FF FF FF    ; -> Muxer=0, M1x8_M32_m0 =      1.0
$12345678.x 80 00 00 01  0F FF FF FF    ; -> Muxer=0, M1x8_M32_m0 =     16.0
$12345679.x 80 00 00 01  0F FF FF FF    ; -> Muxer=0, M1x8_M32_m0 =     16.0
$12345678.x 8F FF FF EF  FF FF FF FF    ; -> Muxer=0, M1x8_M32_m0 = -  257.0
$12345679.x 8F FF FF EF  FF FF FF FF    ; -> Muxer=0, M1x9_M32_m0 = -  257.0
$12345678.x 80 00 10 00  0F FF FF FF    ; -> Muxer=0, M1x8_M32_m0 =  65536.0
$12345679.x 80 00 10 00  0F FF FF FF    ; -> Muxer=0, M1x9_M32_m0 =  65536.0
$12345678.x 07 FF FF FF  0F 00 00 00    ; -> Muxer=0, M1x8_M32_m0 =+2147483648.0
$12345679.x 07 FF FF FF  0F 00 00 00    ; -> Muxer=0, M1x9_M32_m0 =+2147483648.0
@goto Loop4



 @T=T+5
@goto L3

; CAN-BUS #2 ( NUMERO DUE !! ),  CAN-ID #1366 = 0x0556 .....
;              enthaelt ein 14-bit(!) Signal im INTEL-FORMAT (LSB first)
;              aus einem Beispiel in VEKTOR's CANdb++ EDITOR HELP SYSTEM.
;              Das LEAST SIGNIFICANT BIT liegt an Bitposition  3 im CAN-Telegramm,
;              das MOST  SIGNIFICANT BIT liegt an Bitposition 16 (!) .
;           KVASER meint, "Start Bit 3" sagen zu muessen - bei Intel-Format
;                  entspricht dies dem LEAST SIGNIFICANT BIT,
;                  und die Bitzaehlung im Telegramm beginnt bei "0" (erstes Byte, Bit0).
;           WoBu meint, dieses "Startbit" lieber "Position vom LSB" zu nennen,
;                  da dies die Sache klarer macht (bei vielen Bussen/Schnittstellen
;                  hat "Startbit" eine klare funktionelle Bedeutung !!!)
;       Siehe Bildschirmhardcopy von Kvaser's "Navigator Database Editor", 
;       Datei c:/CBProj/UptWin1/Programs/test5.dbc . 
;       Signalname "i14_lsb3", Messagename "Vector_Demo_Intel".
$00556 03 00 FE FF FF FF FF FF  ; 14-Bit INTEL-Integer mit LSBit-Pos 3 : muss 0 ergeben
$00556 FF FF FF FF FF FF FF FF  ; 14-Bit INTEL-Integer mit LSBit-Pos 3 : muss -1 ergeben
$00556 F8 FF 01 00 00 00 00 00  ; 14-Bit INTEL-Integer mit LSBit-Pos 3 : ebenfalls -1
$00556 08 00 00 00 00 00 00 00  ; 14-Bit INTEL-Integer mit LSBit-Pos 3 : -> 1 
$00556 10 00 00 00 00 00 00 00  ; 14-Bit INTEL-Integer mit LSBit-Pos 3 : -> 2
$00556 00 10 00 00 00 00 00 00  ; 14-Bit INTEL-Integer mit LSBit-Pos 3 : -> 512
$00556 00 20 00 00 00 00 00 00  ; 14-Bit INTEL-Integer mit LSBit-Pos 3 : -> 1024
$00556 00 40 00 00 00 00 00 00  ; 14-Bit INTEL-Integer mit LSBit-Pos 3 : -> 2048
$00556 00 80 00 00 00 00 00 00  ; 14-Bit INTEL-Integer mit LSBit-Pos 3 : -> 4096
$00556 00 00 01 00 00 00 00 00  ; 14-Bit INTEL-Integer mit LSBit-Pos 3 : -> -(!) 8192
$00556 F8 FF 00 00 00 00 00 00  ; 14-Bit INTEL-Integer mit LSBit-Pos 3 : -> 8191


; Andere CAN-Telegramme, die beim Testen des "CANdb-Terminals" irgendwo/irgendwann
;        gebraucht wurden. 
;    Siehe z.B. "\\WoBu3\c\cbproj\UptWin1\programs\cdb_test1.cvt" (2002-10-09)
$07FF.s 01 02 03 04 05 06 07 08
$07FF.x 01 02 03 04 05 06 07 08
$000 01 02 03 04
$601 00 00 00 00



;  Fuer Terminal-Applikation "\\WoBu3\c\cbproj\UptWin1\programs\cdb_test1.cvt"   (2002-10-09)
$0182.s 00 00 00 00 00 00 00 00  ; Bus1, "CanOpenIO.PDO2_DI.DigIn0" ... "DigIn7" (2002-10-09)
$0182.s 55 00 00 00 00 00 00 00  ; Bus1, "CanOpenIO.PDO2_DI.DigIn0" ... "DigIn7" (2002-10-09)
$0182.s AA 00 00 00 00 00 00 00  ; Bus1, "CanOpenIO.PDO2_DI.DigIn0" ... "DigIn7" (2002-10-09)
L:
$0182.s (N) 00 00 00 00 00 00 00
@N=N+1
@goto L

$0555.s 11 22 33 44 55 66 77 88  ; Bus1, "WoBu.Vector_Demo.m14_msb23" -> M14_msb23
$0556.s 88 77 66 55 44 33 22 11  ; ...
$0000.s 00 00                    ; "NMT_Master.NMT_0.NodeID" und "CmdSpec"


; Fuer Terminal-Applikation "BMW_HORST.CVT"  (2003-09-19)
BMW_Horst:
$615.s 01 02 03 04    05  06 (N).iw    ; diverse Anzeigeparameter
$613.s (N).iw 00  00  00  00  00  00   ; Kilometerstand
$545.s 02 (N).iw 00   (N).b 02 02 02   ; Verbrauch(uL), Oeltemperatur
$329.s 00 (N) 00 00   00  00  00  00   ; T_MOT (*0.75 C)
$316.s 00 00  (N).iw  00  00  00  00   ; N_MOT (*0.15625 1/min)
$153.s (N).b 00 (N).iw  00  00  00  00   ; S_BLS, V1 (??)
@N=N+1
@goto BMW_Horst


;---------- some "watches" ---------------------------------------------------
SetWatches:
@def_watch(1).name  SDO-Write CH1
@def_watch(1).event (#1538) 0 8 2B xx xx xx xx xx xx xx
@def_watch(1).expr  hl(rx.d1, rx.d0)  ; 16 - bit  Index
@def_watch(1).format U=%ld
@def_watch(1).action a
@set_scope(1).range -32768, 32768       ; Scope-Messbereich passend zur Watch

@def_watch(2).name  SDO-Write CH2
@def_watch(2).event (#1539) 0 8 2B xx xx xx xx xx xx xx
@def_watch(2).expr  hl(rx.d1, rx.d0)  ; 16 - bit  Index
@def_watch(2).format U=%ld
@def_watch(2).action @sound(100,200,5)
@set_scope(2).range -32768, 32768       ; Scope-Messbereich passend zur Watch

@return

