;---- Testprogramm fuer den CAN-Tester: "Warten auf CAN-Empfang" / CLIENT ------
;
; Programm starten mit F9 bzw. "Run"..."Start"  !
;
; Autor: Wolfgang Buescher     Stand: 2006-03-31
;   Ablage des Originals: //WoBu3/c/CBproj/CanTest/Programs/Wait_Test_Server.txt .
;
; Wegen diverser Sonderfunktionen NUR MIT CAN-TESTER FUR WINDOWS lauffhig !
; Zum Testen erst auf einem PC den "Server" starten, danach auf dem anderen PC
; den "Client".
; Dann muss das Testprogramm mit maximaler Geschwindigkeit "durchrauschen" 
; wenn beide Seiten korrekt funktionieren .
; Achtung: im Gegensatz zum CAN-Senden muss beim "Warten auf Empfang" 
;          auch die Lnge des erwarteten Telegramms angegeben werden .
;  Zur besseren Lesbarkeit wird die Lnge immer einziffrig angegeben,
;  der CAN-Identifier (meistens) dreiziffrig, und die Datenbyte zweiziffrig.
; Beim SENDEN wird die Lnge weggelassen, denn Bytes zhlt der Tester selbst ;-)
; Weitere Infomationen zum 'wcan'-Befehl in der Online-Hilfe !
;  (Cursor auf den Befehl setzen, dann CTRL-F1 drcken)
;
@tx_interval = 0.005  ; CAN-Sende-/ und Zeilen-Abarbeitungs-Intervall
ClearScreen(1)        ;  CAN-RX-Fenster lschen


Client:  ; Der CLIENT beginnt mit "Senden" (der SERVER mit "Warten")

001        11 22 33 44 55 66 77 88 ; Sende erstes CAN-Telegramm
wcan 001 8 01 02 03 04 05 06 07 08 ; Warte auf erste Antwort
002        01 02 03 04 05 06 07 08 ; Sende nchstes Telegramm
wcan 002 8 01 02 03 04 05 06 07 08 ; Warte auf nchste Antwort
003        00 00 00 00 00 00 00 00 ; Sende nchstes Telegramm
wcan 003 8 xx xx xx xx xx xx xx xx ; Warte auf nchste Antwort
004        11 22 33 44 55 66 77 88 ; Sende nchstes Telegramm
wcan 004 8 AA xx xx xx xx xx xx xx ; Warte auf nchste Antwort

@delay 0.2

@goto Client

@stop




; <EOF>
